<?php 
require_once "../Fiscal/TfhkaPHP.php";
$addres 		= "";
$SerPort 		= "";
$itObj 			= new Tfhka($addres,$SerPort);

switch ($_GET["op"]) {

	case 'chequear':
		/*$mensaje  = '';
        if($itObj->CheckFprinter()){
            $mensaje    ="Impresora Disponible ";
        }else{
       		$mensaje    = "No se pudo conectar con la impresora";
        }*/
        $out =  $itObj->SendCmd("D");
		echo $out;
	break;
	
	case 'reportex':
		$out =  $itObj->SendCmd("I0X");
        if($out == "ASK")
   		{
			$mensaje    ="Se envio el reporte x correctamente";
   		}elseif($out == "NAK")
   		{
			$mensaje    ="Se pudo enviar el reporte x correctamente";
   		}else
   		{
			$mensaje    ="Error en el envio: ".$out;
   		}
		echo $mensaje;
	break;

	case 'reportez':
		$out =  $itObj->SendCmd("I0Z");
        if($out == "ASK")
   		{
			$mensaje    ="Se envio el reporte z correctamente";
   		}elseif($out == "NAK")
   		{
			$mensaje    ="Se pudo enviar el reporte z correctamente";
   		}else
   		{
			$mensaje    ="Error en el envio: ".$out;
   		}
		echo $mensaje;
	break;

	case 'ejemplof':
		$factura = array(0 =>"!000000000000010000000000000001000Harina\n",
						 1 => "101");
		$file 	= "../Fiscal/Factura.txt";	
        $fp 	= fopen($file, "w+");
        $write 	= fputs($fp, "");
                         
		foreach($factura as $campo => $cmd)
		{
		     $write = fputs($fp, $cmd);
		}
                        
            fclose($fp); 
                         
        $out =  $itObj->SendFileCmd($file);
        echo $out;
	break;	

	case 'factura':
		//precio 8 y 2-- cantidad 5 y 3
		$factura = $_POST['factura'];
		// $factura = array(-2 => "iS*Lewis Hernandez\n",
		// 				-1 => "iR*6.335.547\n",
		// 				 0 => "!000000100000001000Harina\n",
		// 				 1 => "!000000150000001500Jamon\n",
		// 				 2 => '"000000205000003000Patilla\n',
		// 				 3 => "#000005000000001000Caja de cerveza\n",
		// 				 4 => "101");
		$file 	= "../Fiscal/Facturab.txt";	
		$fp 	= fopen($file, "w+");
		$write 	= fputs($fp, "");
		foreach($factura as $campo => $cmd)
		{
			$write = fputs($fp, $cmd);
		}                       
		fclose($fp); 
		$out =  $itObj->SendFileCmd($file);
		echo $out;
	break;

	case 'notacredito':
		$devolucion = $_POST['notacredito'];
		$file 	= "../Fiscal/Notacreditob.txt";	
		$fp 	= fopen($file, "w+");
		$write 	= fputs($fp, "");
		foreach($devolucion as $campo => $cmd)
		{
			$write = fputs($fp, $cmd);
		}                       
		fclose($fp); 
		$out =  $itObj->SendFileCmd($file);
		echo $out;
	break;

	case 'notac':
		$devolucion = array(-5 => "iS*Lewis Hernandez\n",
		-4 => "iR*6.335.547\n",
		-3 => "iF*0000001\n",
		-2 => "iI*Z4A1234567\n",
		-1 => "iD*18-01-2014\n",
		0 => "d0000000100000001000Harina\n",
		1 => "d1000000150000001500Jamon\n",
		2 => 'd2000000205000003000Patilla\n',
		3 => "d3000005000000001000Caja de Wisky\n",
		4 => "101");
		
		$file 	= "../Fiscal/NotaCredito.txt";	
		$fp 	= fopen($file, "w+");
		$write 	= fputs($fp, "");
		foreach($devolucion as $campo => $cmd)
		{
		$write = fputs($fp, $cmd);
		}
		fclose($fp); 
		$out =  $itObj->SendFileCmd($file);
	break;
}
 ?>